Subject: Re: test is not posix
From: Trek <[email-masked]>
To: [email-masked]
Date: Wed, 20 Jan 2016 22:44:17 +0100
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On Wed, 20 Jan 2016 13:38:58 -0800
Bart Schaefer <[email-masked]> wrote:

> On Jan 20, 10:06pm, Trek wrote:
> } the -n and -z options of the test utility are not posixly correct
> if the } argument is "!", "(", ")" or "-a"
> 
> I'm not able to reproduce this; what is the $ZSH_VERSION or
> $ZSH_PATCHLEVEL that you are testing?  What do you see if you run
> with the -x option?

sorry, I missed to include that I'm using the 5.0.7-5 version included
in Debian GNU/Linux 8 (jessie)

> % ARGV0=sh Src/zsh -c 'test -n "!" && echo OK'
> OK

happy to see that it is already fixed in the latest version, where on my
system it prints the same error reported

c-ya!